Subject: Re: Windows Azure server CYGWIN version 3.2.0 Getting an error while executing man command
From: Brian Inglis <[email-masked]>
To: [email-masked]
Cc: "Mikko Fang \(PACTERA TECHNOLOGIES INC\)" <[email-masked]>, "Lei Zhang \(Axelerate LLC\)" <[email-masked]>
Date: Tue, 8 Jun 2021 22:53:41 -0600
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2021-06-08 15:57, Lei Zhang (Axelerate LLC) wrote:
> On 2021-06-03 22:45, Brian Inglis wrote:
>> On 2021-06-03 16:08, Lei Zhang wrote:
>>> Encounter a bug on Windows, and the bug details are below, please
>>> take a look when you get a moment, thanks!
>>> Account: Cygwin Solutions
>>> Product : CYGWIN
>>> Reference # 32959457
>>> Issue [Azure][Server][CYGWIN and 3.2.0][Getting an error while 
>>> executing man command]
>>> Product version: 3.2.0
>>> Environment: Desktop
>>> OS: Windows 10 Insider Preview
>>> OS build: 20346.1.210427-1648
>>> Repro Steps:
>>> 1. Schedule WS2019 Azure edition OS.
>>> 2. Add roles and features.
>>> 3. Install the application with all defaults.
>>> 4. Launch the application.
>>> 5. Type man help or any other man commands and press enter.
>>> 6. Output is generated without any error.
>>> 7. Upgrade to latest OS build.
>>> 8. Type man help or any other man commands and press enter.
>>> 9. Observe.
>>> Actual Results:
>>> Getting an error while performing man command.
>>> Expected Results:
>>> Should view the manual of the particular man command.

>> Pretty vague description: Works Just Fine For Me!
>> 
>> Without access to your Azure server VM, build, install, update, and 
>> terminal logs, we have no idea what you may be running and what error 
>> you may be encountering.
>> 
>> When you report problems you must be very explicit and specific about 
>> what you are typing and seeing, and the edition, version, release, patch 
>> level of Windows you are running e.g. "Windows Server 2019 Datacenter: 
>> Azure Edition ... a new Windows Server image on Azure that has a unique 
>> build number and codebase", plus all the details on the "Upgrade to 
>> latest OS build", to which few or none of our support volunteers may 
>> have access, in which case you may have to participate in running tests, 
>> and reporting results accurately, to assist those trying to help you.
>> 
>> In addition, those service VMs could have almost any level of security 
>> restrictions applied during setup, so it is unlikely but possible that 
>> Cygwin may just be unable to run effectively under such an environment.
>> 
>> Many Cygwin users have encountered problems with defective commercial 
>> "security"/monitoring products "BLODA" in Cygwin's Big List of Dodgy 
>> Apps (a list https://cygwin.com/faq/faq.html#faq.using.bloda 
> <https://cygwin.com/faq/faq.html#faq.using.bloda> of 
>> applications that interfere with the normal working of Cygwin by 
>> intrusively injecting themselves in the system call chain) where the 
>> only solutions were to have them ignore all Cygwin programs and DLLs, 
>> deinstall the products, or use a different system.
>> 
>> Please attach as plain text files:
>> 
>> * the output log from your Azure server VM, of running the Cygwin 
>> diagnostic command:
>>	$ cygserver -hrsv > cygcheck-hrsv.log
>> as requested at "Problem reports: https://cygwin.com/problems.html", at 
>> the bottom of all posts to the mailing list
>> * the contents of the initial /var/log/setup.log.full from running the 
>> Cygwin install
>> * the summary /var/log/setup.log from Cygwin installs
>> * the log /var/log/mandb-index.log from updating the man-db index during 
>> post-install
>> * any changed man or man-db configuration files under /etc/ or ~/.
>> * any commands affecting man in your ~/.bash_/zsh_/.../profile startup 
>> scripts
>> * a terminal log of your commands entered and output including errors 
>> encountered, or
>> * copy and paste the *actual* commands entered into the terminal and 
>> also the *verbatim* output and error messages generated.
>> 
>> That way the support volunteers have a chance of diagnosing what may be 
>> wrong with your installation, and suggesting what actions may be taken 
>> to resolve your problems, without requiring access to your system, or 
>> the ability to read your mind. ;^>

 > Thank you for responding to the Windows Azure server issue I posted on
 > Cygwin’s mailing list!
 >
> A quick intro,  my name is Lei Zhang and I am on Microsoft’s ISV 
> Outreach team.  Our test team encounter this issue a few days ago
> and asked me to get in touch with Cygwin, so I filed the issue on
> the mailing list.   Since there are other audience who wish to get
> involve in the resolution of this issue on our side, using the
> mailing list would be difficult to communicate directly and more
> importantly there may be confidential information we may not wish to
> disclose broadly at this point, so I am writing to your directly
> through email, I hope this is ok for you.  If not, please let us know
> your preferred communication method/channel for this. >
> + @Mikko <mailto:[email-masked]> who is leading our App
> Compat outreach effort and he can help answer your questions below
> and provide additional information.
All Cygwin code is open source and all Cygwin support is open support, 
provided publicly on this mailing list by any volunteers who may be 
interested, if you follow the problem reporting instructions stated on 
the web site, as reiterated and expanded by me above.

There are no private, paid, or vendor provided options, unless you can 
find a company, consultancy, or consultant who has the appropriate 
background and experience, is willing to do the work, and bill you for 
not sharing, except for any questions they may have to ask on this 
mailing list.

[Please no TOFU https://en.wikipedia.org/wiki/Posting_style]

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]

[If your company has a pre-existing currently active Cygwin support 
contract subscription with Red Hat Global Engineering Services, you may 
contact them for support:

	https://access.redhat.com/solutions/78783#fn:1

"Is Cygwin Supported by Red Hat?
For customers with existing Cygwin Support subscriptions, Cygwin Support 
is provided by Global Engineering Services (GES).
* Cygwin Support subscriptions are no longer being sold by Red Hat.
* Support is available only to customers who have previously purchased 
subscriptions and whose subscriptions are still active.
* If you do not have an active subscription but still need support, 
please engage the Cygwin community at www.cygwin.com.
* Cygwin Support does require one of three Cygwin-specific subscriptions.
* Cygwin is not supported by Global Support Services (GSS).
Red Hat continues to be involved in the Cygwin community. Red Hat 
engineers continue to contribute code to the project."]

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple